Subject: bug#44304: closed (Re: [bug#44304] [PATCH] gnu: Update htslib to 1.11.)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 29 Oct 2020 15:57:02 +0000

Your bug report

#44304: [PATCH] gnu: Update htslib to 1.11.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44304: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44304
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: [bug#44304] [PATCH] gnu: Update htslib to 1.11.
From: Roel Janssen <[email-masked]>
To: Ricardo Wurmus <[email-masked]>
Cc: [email-masked], [email-masked]
Date: Thu, 29 Oct 2020 16:56:24 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

On Thu, 2020-10-29 at 13:55 +0100, Ricardo Wurmus wrote:
> 
> Roel Janssen <[email-masked]> writes:
> 
> > On Thu, 2020-10-29 at 11:44 +0100, Roel Janssen wrote:
> > > Dear Guix,
> > > 
> > > I'd like to update htslib to 1.11.  The patch is straightfoward.
> > > 
> > > Kind regards,
> > > Roel Janssen
> > 
> > In addition to htslib, it'd be good to keep samtools and bcftools
> > in
> > sync.  So here are the patches for bcftools and samtools.
> 
> These patches look good to me!
> 

Thank you for the quick review! I pushed them in
bcbd536e3f22e7bcce6ef535171f4257c79d2f0c,
04a49b414303c329032f74de67541cc39d2271c6, and
f40add4dbb45a5a87fd5213e23e7ab0cc77c008e.

Kind regards,
Roel Janssen

Subject: [PATCH] gnu: Update htslib to 1.11.
From: Roel Janssen <[email-masked]>
To: [email-masked]
Date: Thu, 29 Oct 2020 11:44:00 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Dear Guix,

I'd like to update htslib to 1.11.  The patch is straightfoward.

Kind regards,
Roel Janssen
From 8ed33ee9ce51e7e64faf5f3aad0684eb965ed131 Mon Sep 17 00:00:00 2001
From: Roel Janssen <[email-masked]>
Date: Thu, 29 Oct 2020 11:41:27 +0100
Subject: [PATCH] gnu: Update htslib to 1.11.

* gnu/packages/bioinformatics.scm (htslib): Update to 1.11.
---
 gnu/packages/bioinformatics.scm | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/gnu/packages/bioinformatics.scm b/gnu/packages/bioinformatics.scm
index 41d92401ad..09216f6a8d 100644
--- a/gnu/packages/bioinformatics.scm
+++ b/gnu/packages/bioinformatics.scm
@@ -4215,7 +4215,7 @@ performance.")
 (define-public htslib
   (package
     (name "htslib")
-    (version "1.9")
+    (version "1.11")
     (source (origin
               (method url-fetch)
               (uri (string-append
@@ -4223,7 +4223,7 @@ performance.")
                     version "/htslib-" version ".tar.bz2"))
               (sha256
                (base32
-                "16ljv43sc3fxmv63w7b2ff8m1s7h89xhazwmbm1bicz8axq8fjz0"))))
+                "1mrq4mihzx37yqhj3sfz6da6mw49niia808bzsw2gkkgmadxvyng"))))
     (build-system gnu-build-system)
     ;; Let htslib translate "gs://" and "s3://" to regular https links with
     ;; "--enable-gcs" and "--enable-s3". For these options to work, we also
-- 
2.26.2